Maven enforcer plugin 1.4.1 o una de sus dependencies no se puede resolver

Estoy intentando build livy-server en uno de los nodos de datos de nuestro cluster hadoop que tiene todos los requisitos previos como Spark 1.6.2, hadoop 2.4.2 ya configurado.

Estoy siguiendo las instrucciones como se describe en el siguiente enlace

https://github.com/cloudera/livy

Después de ejecutar el package mvn de la siguiente manera

git clone [email protected]:cloudera/livy.git cd livy mvn package 

Sin embargo, estoy obteniendo un error como
Complemento org.apache.maven.plugins: maven-enforcer-plugin: 1.3.1 o una de sus dependencies no se pudo resolver: Error al leer el descriptor de artefactos para org.apache.maven.plugins: maven-enforcer-plugin: jar: 1.3.1: No se pudo transferir el artefacto org.apache.maven.plugins: maven-enforcer-plugin: pom: 1.3.1 from / to central ( https://repo.maven.apache.org/maven2 ): repo.maven .apache.org: error desconocido: host desconocido repo.maven.apache.org: error desconocido ->

Intenté search este error, sin embargo, como novato, no puedo seguir las soluciones mencionadas, pero una cosa común era configurar el pom.xml

mi pom.xml conf relacionado con el complemento maven enforcer 1.4.1 es el siguiente

 <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-enforcer-plugin</artifactId> <version>1.4.1</version> <executions> <execution> <id>enforce-versions</id> <goals> <goal>enforce</goal> </goals> <configuration> <rules> <requireJavaVersion> <version>1.7</version> </requireJavaVersion> </rules> </configuration> </execution> </executions> </plugin> 

¿Alguien puede ayudarme a resolver este problema de compilation?

Gracias por tu ayuda

Su error claramente dice lo siguiente

 Unknown host repo.maven.apache.org 

Tratar

  1. ping repo.maven.apache.org si pasa entonces
  2. wget http://repo.maven.apache.org/maven2